Bug 30076 - incoming telnet session very slow to start
Summary: incoming telnet session very slow to start
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: telnet   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-28 20:47 UTC by rparker@fprep.org
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 08:16:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rparker@fprep.org 2001-02-28 20:47:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)


When attempting to telnet into the Linux system, it requires between 30-60 
seconds for system to respond with "login" prompt. Once connection is 
established, response time is OK.

Reproducible: Always
Steps to Reproduce:
1. Telnet into system from NT/Win98 system.
	

Actual Results:  After 30-60 seconds, system responds with 
expected "login" prompt.

Expected Results:  Login prompt should display in under 10 seconds.

Comment 1 Bill Nottingham 2001-02-28 22:16:32 UTC
It's trying to do a DNS lookup of where you're connecting from.

Make sure the server machine's DNS is configured correctly, and that the client
machine is resolvable.

Comment 2 rparker@fprep.org 2001-02-28 22:20:08 UTC
We don't use DNS for name resolution; we use WINS. Is there any way to bypass 
this feature (whatever it may be), or use WINS for name resolution? Security 
isn't an issue, we're behind a firewall.

Comment 3 Harald Hoyer 2001-08-01 06:47:10 UTC
Could you please retry with:
ftp://people.redhat.com/harald/telnet-0.17-16.src.rpm
ftp://people.redhat.com/harald/telnet-0.17-16.i386.rpm
ftp://people.redhat.com/harald/telnet-server-0.17-16.i386.rpm
Bonus: security fixes to the recently discovered vulnerabilities



Note You need to log in before you can comment on or make changes to this bug.